Main Page glibmm Namespaces Book

# uriutils.h File Reference

## Namespaces
namespace | Glib
## Functions
std::string | Glib::uri_unescape_string (const std::string& escaped_string, const std::string& illegal_characters=std::string())
| Unescapes a whole escaped string.
std::string | Glib::uri_parse_scheme (const std::string& uri)
| Gets the scheme portion of a URI.
std::string | Glib::uri_escape_string (const std::string& unescaped, const std::string& reserved_chars_allowed=std::string(), bool allow_utf8=true)
| Escapes a string for use in a URI.